Page MenuHomePhabricator

Rename private "ombudsmenwiki" to "ombudswiki" and change the logo
Closed, ResolvedPublic

Description

Hello,

Since the Ombudsmen Commission has been renamed to "Ombuds Commission" (see T256299), please rename the ombudsmenwiki (https://ombudsmen.wikimedia.org/) to "ombudswiki" (https://ombuds.wikimedia.org).
Please also replace the current logo with the new one.

Thanks in advance
Regards

Event Timeline

Reedy edited projects, added Wiki-Setup (Rename); removed Wikimedia-Site-requests.
Reedy subscribed.

Renaming wikis is hard.

Doing the logo, $wgSitename etc is easy and should be trivially doable. Changing the subdomain is definitely more work

Renaming wikis is hard.

Doing the logo, $wgSitename etc is easy and should be trivially doable. Changing the subdomain is definitely more work

Yes, I imagined it was not an easy thing! I was looking at T41482, even if it is an old task, to understand the difficulty. If it's really very complicated, I personally have no problem giving it up. Surely the logo and $wgSitename can be changed :)

We can definitely change the logo and sitename for you. Just need to know the logos :-).

We can definitely change the logo and sitename for you. Just need to know the logos :-).

It's linked in the description ;)

https://commons.wikimedia.org/wiki/File:Wikimedia_Ombuds_logo.svg

Missed that, thanks @Reedy. Let's upload a patch then :).

Change 660000 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Update ombudsmenwiki logo

https://gerrit.wikimedia.org/r/660000

Change 660002 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] ombudsmenwiki: Set sitename to "Ombuds Commission"

https://gerrit.wikimedia.org/r/660002

Urbanecm triaged this task as Medium priority.

Change 660002 merged by jenkins-bot:
[operations/mediawiki-config@master] ombudsmenwiki: Set sitename to "Ombuds Commission"

https://gerrit.wikimedia.org/r/660002

Change 660000 merged by jenkins-bot:
[operations/mediawiki-config@master] Update ombudsmenwiki logo

https://gerrit.wikimedia.org/r/660000

Mentioned in SAL (#wikimedia-operations) [2021-02-01T12:38:35Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: cf349361b392f1831fe5ebce8fb544b035a83835: ombudsmenwiki: Set sitename to "Ombuds Commission" (T273323) (duration: 01m 06s)

Done for the change of logo/sitename. Declined for the actual rename, since it's not possible ATM.

Thank you very much :)

Have a nice day!

Done for the change of logo/sitename. Declined for the actual rename, since it's not possible ATM.

Declined for the actual rename, since it's not possible ATM.

This sort of rename is probably doable, it's no different from the chapcom/affcom one

While renaming the database is hard/not possible, changing the user visible domain to https://ombuds.wikimedia.org/ should be possible in my understanding.

Change 756732 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/dns@master] Add ombuds.wikimedia.org

https://gerrit.wikimedia.org/r/756732

Change 756733 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/puppet@production] Add ombuds.wikimedia.org

https://gerrit.wikimedia.org/r/756733

Change 756734 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] MWMultiVersion: move ombudsmen.wikimedia.org to ombuds.wikimedia.org

https://gerrit.wikimedia.org/r/756734

Change 756735 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] InitialiseSettings: move ombudsmen.wikimedia.org to ombuds.wikimedia.org

https://gerrit.wikimedia.org/r/756735

(uploaded some patches in case this is still desired)

@Superpes15 could you please check if this is still desired by the commission?

@Superpes15 could you please check if this is still desired by the commission?

Hi Zabe,
Being our term at the end, I would say that the new OC should take care of this, but, as there is no reason to disagree with the change, I would recommend proceeding with the rename, so that the new commission starts directly with the correct site name (unless it's a difficult task) :)

@Superpes15 could you please check if this is still desired by the commission?

Hi Zabe,
Being our term at the end, I would say that the new OC should take care of this, but, as there is no reason to disagree with the change, I would recommend proceeding with the rename, so that the new commission starts directly with the correct site name (unless it's a difficult task) :)

Heya as I am currently chair and have been accepted for an additional year starting end of January I can link this between terms, whether I will be chair still will be up for election but I will be on the 2022 Commission. Cheers.

Since all other things have been changed from ombudsmen to ombuds, I think we should change the domain as well. There would be no benefit in keeping the old one altough the name of the commission has changed. On the other hand I think we can wait a few days until the new commission starts their term.

I've no problem with the change, all ombuds things was renamed already.

Change 756732 merged by Dzahn:

[operations/dns@master] Add ombuds.wikimedia.org

https://gerrit.wikimedia.org/r/756732

new name added to DNS:

host ombuds.wikimedia.org
ombuds.wikimedia.org is an alias for dyna.wikimedia.org.

Mentioned in SAL (#wikimedia-operations) [2022-02-08T17:11:55Z] <rzl> rzl@cumin1001:~$ sudo cumin A:mw "disable-puppet T273323"

Change 756733 merged by RLazarus:

[operations/puppet@production] Add ombuds.wikimedia.org to mediawiki.yaml

https://gerrit.wikimedia.org/r/756733

Mentioned in SAL (#wikimedia-operations) [2022-02-08T17:16:59Z] <rzl> rzl@cumin1001:~$ sudo cumin A:mw "enable-puppet T273323"

Change 761009 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/puppet@production] httpbb: Update tests to reflect rename from ombudsmen to ombuds

https://gerrit.wikimedia.org/r/761009

I boldly took over this task.

Change 761011 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/puppet@production] Add redirect from ombudsmen.wm.o to ombuds.wm.o

https://gerrit.wikimedia.org/r/761011

Change 761436 had a related patch set uploaded (by Zabe; author: Zabe):

[mediawiki/extensions/WikimediaMessages@master] Rename Ombudsmen Wiki to Ombuds Wiki

https://gerrit.wikimedia.org/r/761436

Change 756734 merged by jenkins-bot:

[operations/mediawiki-config@master] MWMultiVersion: move ombudsmen.wikimedia.org to ombuds.wikimedia.org

https://gerrit.wikimedia.org/r/756734

Mentioned in SAL (#wikimedia-operations) [2022-02-10T12:30:25Z] <taavi@deploy1002> Synchronized multiversion/MWMultiVersion.php: Config: [[gerrit:756734|MWMultiVersion: move ombudsmen.wikimedia.org to ombuds.wikimedia.org (T273323)]] (duration: 00m 49s)

Change 756735 merged by jenkins-bot:

[operations/mediawiki-config@master] InitialiseSettings: move ombudsmen.wikimedia.org to ombuds.wikimedia.org

https://gerrit.wikimedia.org/r/756735

Mentioned in SAL (#wikimedia-operations) [2022-02-10T12:33:59Z] <taavi@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:756735|InitialiseSettings: move ombudsmen.wikimedia.org to ombuds.wikimedia.org (T273323)]] (duration: 00m 49s)

Change 761436 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMessages@master] Rename Ombudsmen Wiki to Ombuds Wiki

https://gerrit.wikimedia.org/r/761436

Change 761635 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/puppet@production] Remove ombudsmen.wikimedia.org from mediawiki.yaml

https://gerrit.wikimedia.org/r/761635

Change 761009 merged by Giuseppe Lavagetto:

[operations/puppet@production] httpbb: Update tests to reflect rename from ombudsmen to ombuds

https://gerrit.wikimedia.org/r/761009

Change 761011 merged by Giuseppe Lavagetto:

[operations/puppet@production] Add redirect from ombudsmen.wm.o to ombuds.wm.o

https://gerrit.wikimedia.org/r/761011

Mentioned in SAL (#wikimedia-operations) [2022-02-10T17:03:46Z] <rzl> rzl@cumin2001:~$ sudo cumin A:mw "disable-puppet T273323"

Change 761635 merged by RLazarus:

[operations/puppet@production] Remove ombudsmen.wikimedia.org from mediawiki.yaml

https://gerrit.wikimedia.org/r/761635

Mentioned in SAL (#wikimedia-operations) [2022-02-10T17:10:50Z] <rzl> rzl@cumin2001:~$ sudo cumin A:mw "enable-puppet T273323"

Zabe closed this task as Resolved.EditedFeb 10 2022, 5:16 PM

Renaming wikis is hard.

Doing the logo, $wgSitename etc is easy and should be trivially doable. Changing the subdomain is definitely more work

It's more work, but it is doable ;)